package com.mortals.xhx.module.perform.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.vo.PerformPerposeDeptVo;
import lombok.Data;
/**
* 部门考核目标详细信息实体对象
*
* @author zxfei
* @date 2023-05-16
*/
@Data
public class PerformPerposeDeptEntity extends PerformPerposeDeptVo {
    private static final long serialVersionUID = 1L;

    /**
    * 考核目标id
    */
    private Long purposeConfId;
    /**
    * 部门id
    */
    private Long deptId;
    /**
    * 部门名称
    */
    private String deptName;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PerformPerposeDeptEntity) {
            PerformPerposeDeptEntity tmp = (PerformPerposeDeptEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.purposeConfId = -1L;

            this.deptId = -1L;

            this.deptName = "";

            this.remark = "";
    }
}